com.io7m.jcamera

## Class JCameraRotationCoefficients

- java.lang.Object
- - com.io7m.jcamera.JCameraRotationCoefficients

-     @EqualityStructural
      public final class JCameraRotationCoefficients
      extends Object

  Mutable rotation coefficients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCameraRotationCoefficients()` Construct new coefficients.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `float` | `getHorizontal()`
    `float` | `getVertical()`
    `int` | `hashCode()`
    `void` | `setHorizontal(float in_horizontal)` Set the horizontal coefficient
    `void` | `setVertical(float in_vertical)` Set the vertical coefficient
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JCameraRotationCoefficients

          public JCameraRotationCoefficients()

      Construct new coefficients.

  - ### Method Detail

    - #### equals

          public boolean equals(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getHorizontal

          public float getHorizontal()

      Returns:
        The horizontal coefficient

    - #### setHorizontal

          public void setHorizontal(float in_horizontal)

      Set the horizontal coefficient
      Parameters:
        `in_horizontal` - The horizontal coefficient

    - #### getVertical

          public float getVertical()

      Returns:
        The vertical coefficient

    - #### setVertical

          public void setVertical(float in_vertical)

      Set the vertical coefficient
      Parameters:
        `in_vertical` - The vertical coefficient

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016 <code@io7m.com> http://io7m.com